function [vol, sur] = cilindersurface(r, h)
%Return the lateral surface and volume of a hollow cylinder,  
%given its radius r and height h.
%If input parameters are either not numbers or non-positive numbers, 
%return vol=-1 as error code

% Solution of Exercise 6.3 of textbook

if r>0 && h>0 && isnumeric(h) && isnumeric(r)
    vol = pi .* r.^2 .* h;      % volume
    sur = 2 .* pi .* r .* h;    % lateral surface
else
    vol = -1;
    sur = 0;
end

end